glib-0.13.5.0: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.Glib.GValue

Description

This module implements only the necessities for the GTK binding.

- Everything here is only used by Graphics.UI.Gtk.TreeList.TreeModel and friends.

Synopsis

- newtype GValue = GValue (Ptr GValue)
- valueInit :: GValue -> GType -> IO ()
- valueGetType :: GValue -> IO GType
- allocaGValue :: (GValue -> IO b) -> IO b

# Documentation

newtype GValue Source #

Constructors

GValue (Ptr GValue) |

valueInit :: GValue -> GType -> IO () Source #

Clear a GValue.

valueGetType :: GValue -> IO GType Source #

Get the type of the value stored in the GValue

allocaGValue :: (GValue -> IO b) -> IO b Source #

Temporarily allocate a GValue.